%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           testdays
Version:        0.0.1
Release:        1%{?dist}
Summary:        I was lazy enough not-to change summary

License:        GPLv2+
URL:            https://bitbucket.org/fedoraqa/testdays
Source0:        https://qadevel.cloud.fedoraproject.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
Requires:       python-flask-sqlalchemy
Requires:       python-flask-wtf
Requires:       python-flask-login
Requires:       python-alembic
BuildRequires:  python2-devel python-setuptools

%description
I was so lazy, that I did not change the description.

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# apache and wsgi settings
mkdir -p %{buildroot}%{_datadir}/testdays/conf
cp conf/testdays.conf %{buildroot}%{_datadir}/testdays/conf/.
cp conf/testdays.wsgi %{buildroot}%{_datadir}/testdays/.

mkdir -p %{buildroot}%{_sysconfdir}/testdays
install conf/settings.py.example %{buildroot}%{_sysconfdir}/testdays/settings.py.example

%files
%doc README.md conf/*
%{python_sitelib}/testdays
%{python_sitelib}/*.egg-info

%attr(755,root,root) %{_bindir}/testdays
%dir %{_sysconfdir}/testdays
%{_sysconfdir}/testdays/*
%dir %{_datadir}/testdays
%{_datadir}/testdays/*

%changelog
* Thu Feb 6 2014 Josef Skladanka <jskladan@redhat.com> - 0.0.1
- initial packaging
